.ui-dialog:not(.ui-dialog-off-canvas) {
  --dialog-background: var(--bs-body-bg);
  --dialog-color: var(--bs-body-color);
  --dialog-outer-space: 2rem;
  --dialog-title-inner-space-v: 1rem;
  --dialog-title-inner-space-h: 2rem;
  --dialog-content-inner-space-v: 2rem;
  --dialog-content-inner-space-h: 2rem;
  // The core dialog works with inline-styles for reasons,
  // so override them with important.

  // While we already have removed all jquery.ui css files from the core/dialog library
  // there could be still jquery.ui styles added by other libraries, so ensure they don't damage our dialog styling.
  border: 0 none !important;
  position: fixed !important;
  // Styling
  top: calc(50% - 1rem) !important;
  left: calc(50% - 1rem) !important;
  z-index: 9999;
  margin: var(--dialog-outer-space) !important;
  transform: translate(-50%, -50%) !important;
  width: calc(600px - var(--dialog-outer-space)) !important;
  max-width: calc(95vw - var(--dialog-outer-space)) !important;
  max-height: calc(100vh - var(--dialog-outer-space)) !important;
  overflow: auto !important;
  background-color: var(--dialog-background) !important;
  color: var(--dialog-color) !important;
  border-radius: var(--bs-border-radius) !important;
  box-shadow: var(--bs-box-shadow-lg) !important;

  .ui-dialog-titlebar {
    // While we already have removed all jquery.ui css files from the core/dialog library
    // there could be still jquery.ui styles added by other libraries, so ensure they don't damage our dialog styling.
    border: 0 none !important;
    border-radius: 0 !important;
    // Styling
    position: sticky;
    top: 0;
    background: var(--dialog-background);
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--space-v-md);
    border-bottom: 1px solid var(--bs-gray-light) !important;
    padding: var(--dialog-title-inner-space-v) var(--dialog-title-inner-space-h);
    font-weight: var(--global-font-weight-bold);

    &-close {
      // While we already have removed all jquery.ui css files from the core/dialog library
      // there could be still jquery.ui styles added by other libraries, so ensure they don't damage our dialog styling.
      position: static !important;
      background: none !important;
      height: auto !important;
      width: auto !important;
      margin: 0 !important;
      // Styling
      padding: 0.35em !important;
      // Hide the label
      font-size: 0;
      color: transparent;

      .ui-button-icon,
      &::before {
        font-size: var(--icon-size-md);
        color: var(--dialog-color);
        cursor: pointer;
      }
    }
  }

  .ui-dialog-content {
    padding: var(--dialog-content-inner-space-v)
      var(--dialog-content-inner-space-h);

    > :last-child {
      margin-bottom: 0;
    }
  }
}
